# Interface VulkanHandleType

All Superinterfaces:
  `AutoCloseable`

All Known Subinterfaces:
  `VMAAllocationType`, `VMAAllocatorType`, `VulkanBufferType`, `VulkanBufferViewType`, `VulkanCommandBufferType`, `VulkanCommandPoolType`, `VulkanDebuggingType.VulkanDebugRegionType`, `VulkanDebugUtilsMessengerEXTType`, `VulkanDebugUtilsRegionType`, `VulkanDescriptorPoolType`, `VulkanDescriptorSetLayoutType`, `VulkanDescriptorSetType`, `VulkanDescriptorUpdateTemplateType`, `VulkanDeviceMemoryType`, `VulkanDeviceType`, `VulkanEventType`, `VulkanExtKHRSurfaceType.VulkanKHRSurfaceType`, `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`, `VulkanFenceType`, `VulkanFramebufferType`, `VulkanHandleDispatchableType`, `VulkanHandleNonDispatchableType`, `VulkanImageType`, `VulkanImageViewType`, `VulkanInstanceType`, `VulkanLogicalDeviceType`, `VulkanPhysicalDeviceType`, `VulkanPipelineCacheType`, `VulkanPipelineLayoutType`, `VulkanPipelineType`, `VulkanQueryPoolType`, `VulkanQueueType`, `VulkanRenderPassType`, `VulkanSamplerType`, `VulkanSamplerYcbcrConversionType`, `VulkanSemaphoreType`, `VulkanShaderModuleType`

All Known Implementing Classes:
  `VMALWJGLAllocator`, `VulkanLWJGLBuffer`, `VulkanLWJGLBufferView`, `VulkanLWJGLCommandBuffer`, `VulkanLWJGLCommandPool`, `VulkanLWJGLDescriptorPool`, `VulkanLWJGLDescriptorSet`, `VulkanLWJGLDescriptorSetLayout`, `VulkanLWJGLDeviceMemory`, `VulkanLWJGLEvent`, `VulkanLWJGLExtDebugUtilsMessenger`, `VulkanLWJGLFence`, `VulkanLWJGLFramebuffer`, `VulkanLWJGLImage`, `VulkanLWJGLImageView`, `VulkanLWJGLInstance`, `VulkanLWJGLLogicalDevice`, `VulkanLWJGLPhysicalDevice`, `VulkanLWJGLPipeline`, `VulkanLWJGLPipelineCache`, `VulkanLWJGLPipelineLayout`, `VulkanLWJGLQueryPool`, `VulkanLWJGLQueue`, `VulkanLWJGLRenderPass`, `VulkanLWJGLSampler`, `VulkanLWJGLSemaphore`, `VulkanLWJGLShaderModule`

public interface VulkanHandleType extends AutoCloseable
The base type of Vulkan handles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Destroy the object.
  `boolean`
  `isClosed()`

- ## Method Details

  - ### close

    void close() throws VulkanException
    Destroy the object.
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `VulkanException` - On errors

  - ### isClosed

    boolean isClosed()
    Returns:
      `true` iff the handle has been destroyed with `close()`
    See Also:
      - `close()`